Subject: Re: bug#13675: Extremely slow redisplay when lines are very long

From: Mark Diekhans <[email-masked]>
Date: Fri, 20 Oct 2017 08:50:19 -0700

Hi Eli,

The issue really isn't needed to edit these kind of files, so
much as not locking up emacs when one doesn't know a file has really
long lines.  In the past week, it's been an sql file that had
long insert commands and a large json file create without line
breaks.  Both of these modes have font lock mode by default.

I would be gladly work on a patch to ask a question or stop on
files that might cripple emacs.

However, before one dives into work, it's important to know the
history and if there is existing work one can help with as opposed
to start fresh.  That leads to annoying questions like mine.

The meta issue is not a user wanting something for nothing.
It's that it's a lot of work for someone who is not a core
developer to come up to speed on an issue since the discussions
are not linked to bug reports and the mailing lists are very
hard to search.

Mark

Eli Zaretskii <[email-masked]> writes:
> > From: Mark Diekhans <[email-masked]>
> > Date: Thu, 19 Oct 2017 18:45:00 -0700
> > 
> > Is there anyone working on the long-line display speed issue?
> 
> Not that I know of.  I don't even have an idea for how to speed it up,
> and I don't think anyone's come up with such ideas.
> 
> > It is especially bad with font lock mode.
> 
> What mode/kind of file needs font lock and has such long lines?
> 
> In general, if you must handle such files, my advice is to use M-x
> find-file-literally for them, it might make Emacs just barely
> bearable, if you are lucky.  But then you lose any font locking and
> text encoding support, so this is only feasible for plain-ASCII files
> that basically present some text.
> 
> > If the fix is really complex, it would be much better emacs
> > refuse to display the file than force killing it.
> 
> Patches for presenting a warning for such files, like we do with very
> large files, are welcome.